    PROGRAM d01bbfe

!      D01BBF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : d01bax, d01bbf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: n = 6, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: a, b
       INTEGER                         :: ifail, itype, j
!      .. Local Arrays ..
       REAL (KIND=nag_wp)              :: abscis(n), weight(n)
!      .. Executable Statements ..
       WRITE (nout,*) 'D01BBF Example Program Results'

       a = 0.0E0_nag_wp
       b = 1.0E0_nag_wp
       itype = 1

       ifail = 0
       CALL d01bbf(d01bax,a,b,itype,n,weight,abscis,ifail)

       WRITE (nout,*)
       WRITE (nout,99998) 'Laguerre formula,', n, ' points'
       WRITE (nout,*)
       WRITE (nout,*) '    Abscissae        Weights'
       WRITE (nout,*)
       WRITE (nout,99999) (abscis(j),weight(j),j=1,n)

99999  FORMAT (1X,2E15.6)
99998  FORMAT (1X,A,I3,A)
    END PROGRAM d01bbfe
